> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /experimental/retail-media/line-items/{line-item-id}/creatives

> Retrieve the creatives and product collections associated with a line item.



## OpenAPI

````yaml https://api.criteo.com/experimental/retailmedia/open-api-specifications.json get /experimental/retail-media/line-items/{line-item-id}/creatives
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Experimental
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /experimental/retail-media/line-items/{line-item-id}/creatives:
    get:
      tags:
        - Campaign
      summary: /experimental/retail-media/line-items/{line-item-id}/creatives
      description: >-
        Retrieve the creatives and product collections associated with a line
        item.
      operationId: FetchCreatives
      parameters:
        - name: line-item-id
          in: path
          description: The external line item id.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchCreativesModelResponse'
      security:
        - oauth:
            - RetailMedia_Campaign_Read
components:
  schemas:
    FetchCreativesModelResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/FetchCreativesModelResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value object.
    FetchCreativesModelResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/FetchCreativesModel'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    FetchCreativesModel:
      required:
        - creatives
      type: object
      properties:
        creatives:
          type: array
          items:
            $ref: '#/components/schemas/LineItemCreativeModel'
          description: The creatives associated with the line item.
        mediaType:
          enum:
            - Unknown
            - Display
            - Video
          type: string
          description: The media type of the associated creatives, if known.
          nullable: true
      additionalProperties: false
      description: Creatives associated with a line item.
      nullable: true
    LineItemCreativeModel:
      required:
        - approvalStatus
        - creative
        - creativeProductCollections
      type: object
      properties:
        approvalStatus:
          enum:
            - Unknown
            - Approved
            - AutoApproved
            - InReview
            - Rejected
            - AutoRejected
            - Unsubmitted
          type: string
        creative:
          $ref: '#/components/schemas/CreativeModel'
        creativePreviewCode:
          type: string
          nullable: true
        creativeProductCollections:
          type: array
          items:
            $ref: '#/components/schemas/CreativeProductCollectionModel'
      additionalProperties: false
      description: The association between a line item and one of its creatives.
    CreativeModel:
      required:
        - id
        - modifiedAt
      type: object
      properties:
        id:
          type: string
        modifiedAt:
          type: string
          format: date-time
      additionalProperties: false
      description: A reference to a creative associated with a line item.
    CreativeProductCollectionModel:
      required:
        - isMandatory
        - products
      type: object
      properties:
        isMandatory:
          type: boolean
        products:
          type: array
          items:
            $ref: '#/components/schemas/DisplayProductModel'
      additionalProperties: false
      description: A collection of products associated with a creative.
    DisplayProductModel:
      required:
        - approvalStatus
        - id
      type: object
      properties:
        approvalStatus:
          enum:
            - Unknown
            - Approved
            - AutoApproved
            - InReview
            - Rejected
            - AutoRejected
            - Unsubmitted
          type: string
        id:
          type: string
      additionalProperties: false
      description: A product in a creative's product collection.
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````